will this addon be ported to webextension? Rated 5 out of 5 stars

I'm not going to mention that this addon is great or not... it does what it does, and that's why it's built. Thanks for the people who develop this. We can't live without.

Will this addon be ported over to webextension? Otherwise it will be unavailable to many users who rely on it.

Niet compatibel met de meest recente versies van firefox Rated 1 out of 5 stars

Niet up to date deze addon

Not working Rated 1 out of 5 stars

Since this week, you can't install the add-on on FireFox 48 and above.

Pas a jour Rated 1 out of 5 stars

il n'y a pas de versions compatible avec la derniere version de firefox

teruggebruiken Rated 3 out of 5 stars

telkens een zoektocht om deze weer te activeren

Pas toujours évident...et j'ai trouvé la solution grâce à un internaute d'ici Rated 3 out of 5 stars

Pas aussi évident de s'identifier sur le site mybelgium.be avec cette application.
C'est finalement un internaute et son avis écrit ici qui m'a ouvert la voie!
Merci à lui cl@udius.
Voici ce qu'il a écrit:
"Rencontrant des problèmes de connexion chaque année pour remplir la déclaration d’impôt malgré la màj des modules nécessaires, il me semble enfin avoir trouvé l’astuce...
- quitter Firefox
- mettre l'ordi en veille
- brancher le lecteur de CI
- introduire la CI dans le lecteur
- réveiller l'ordi
- lancer Firefox
- accéder à la déclaration"

Ca marche!!!

WebExtension? Rated 5 out of 5 stars

The add-on works just fine, but will there be a replacement in the form of a WebExtension when Fx 57.x arrives in November?

This review is for a previous version of the add-on (1.0.22). 

Not possible yet

Right now, that isn't possible, because the WebExtensions API doesn't have any possibility to manage PKCS#11 modules yet.

See https://bugzilla.mozilla.org/show_bug.cgi?id=1357391 for details. Unfortunately though, the WebExtensions people seem to be of the opinion that that's not a critical component.

FireFox Add On Rated 5 out of 5 stars

Excellent work, even behind heavy NGFW/UTM/SSL-inspection/...
Fast, reliable, clean, no certificate issues .
It is lovely to see it switching from server to server.
But you need to know that the ADD ON exist !!!
-----> a reminder would be welcome !!!!
Keep improving, not changing !!!
FEDICT rocks !
(Firefox 64-bit - clean install - Win7SP1 Pro - VascoReader)

This review is for a previous version of the add-on (1.0.22). 

Doesn't support Multi-process firefox Rated 4 out of 5 stars

Works without issues in firefox, but unfortunately it is the only addon in my firefox installation not marked as supporting multi-process (e10s).

https://addons-server.readthedocs.io/en/latest/topics/api/addons.html#add-on-feature-compatibility

This review is for a previous version of the add-on (1.0.22). 

Hello Wim,

Apologies for the late reply, but a new version of our plugin (marked supporting multi-process) is waiting for approval by Mozilla.

Import certificates into FF to make it working Rated 3 out of 5 stars

Linux openSuSE 13.1_64, FF 50.1.
ACR38 driver: OK, pcscd: running, middleware compiled: OK. Test eID reads 'passed' without PIN request (?), but NOT working actually (exception message at FF startup).
No eID certificate displayed in FF Preferences.
eID certificates exported from Windows 8.1 as .pfx file.
.pfx file imported into FF... Add-on is working well!
Odd behavior indeed.

This review is for a previous version of the add-on (1.0.22). 

It works - in 32-bit Firefox Rated 5 out of 5 stars

Just installed this (07-Mar-17) and it works perfectly in 32-bit Firefox.
But a WARNING: it does NOT work at all in 64-bit Waterfox.

This review is for a previous version of the add-on (1.0.22). 

Dit werkt perfect als je basiskennis hebt (Works perfectly if you have basic human skills). Rated 5 out of 5 stars

Als het niet werkt ligt het aan uw PC/browser/kaartlezer configuratie.
Geen nut iets of iemand anders de schuld te geven. Het probleem ligt dan bij uzelf.

(If it doesn't work it's because of your PC/browser/cardreader configuration.
No use blaming something or someone else. The issue lies with you.)

Tested on: Latest Firefox version 51.0.1 and older versions. Both on Windows 7&10 and a Mac.

This review is for a previous version of the add-on (1.0.22). 

Aanmelden lukt echt niet. Rated 1 out of 5 stars

Ik werk op een mac met os sierra 10.12.2. Ik heb verschillende browsers geprobeerd (Safari, Firefox, Chrome en Opera; noppes dus). Ik heb de eID viewer, eID middleware verwijderd (via terminal) en opnieuw geïnstalleerd. De add-on geaccepteerd. Geschiedenis al gewist, staat nu zelfs op niets onthouden. De certificaten onder voorkeuren bij Firefox gecontroleerd, alle vinkjes staan aan. PKCS11 staat in de lijst. De Sleutelhangertoegang gecontroleerd, er staat wel geen BELPIC maar BEID-xxxxx met vervolgens een lange cijfer- en lettercode. Fedict heeft me gisteren al telefonisch gecontacteerd. De test lukt me ook al niet. Ik krijg steeds de foutmelding dat er geen beveiligde connectie kan worden verkregen. Enfin, wat een bedoening om in te loggen. Het kan toch niet de bedoeling zijn dat dit zó gebruiksonvriendelijk is?

Katia

This review is for a previous version of the add-on (1.0.22). 

EID BELGIE Rated 1 out of 5 stars

WERKT NIET GOED

This review is for a previous version of the add-on (1.0.22). 

about Firefox ESR ? Rated 5 out of 5 stars

Hello,
I tried to install extension at home and i have firefox ESR (v45.2.0 x64)
It says my version is not supported.

I didn't think about this at all when i decided to go for ESR version and installed a lot of ESR on PC's at my workplace already :-/

Is the Version 1.0.18.1-signed.1-signed witch install nicely fully functional or may be bugged for newest sites witch would require the latest version or so ?

(i'm asking this because the beid middleware has to be updated to work properly on some sites, is it the same with the plugin, or am i safe "forever" with Version 1.0.18.1-signed.1-signed ? )

Thanks for you work, and your answers :)

Olivier

This review is for a previous version of the add-on (1.0.21). 

Hello Olivier,

Firefox changed their API a little when going from version 46 to 47. So we adapted our extension for that.
This causes our 1.0.21 version to work only with firefox version 47 and above (and our extension tells firefox it only works on firefox 47 and above).
Unfortunatelly firefox does not seem to fall back to the previous version of the extention (1.0.18.1-signed.1-signed) on older firefox versions.

Like you mentioned, the way to go here is use Version 1.0.18.1-signed.1-signed of our extension.
You are safe with that (all the extension does anyways is telling firefox where it can find our pkcs11 module, and attaching it) (so it even only needs to run once in order to use the our middleware)

Utilisation eID Belgique - solution sur MAC Rated 3 out of 5 stars

Rencontrant des problèmes de connexion chaque année pour remplir la déclaration d’impôt malgré la màj des modules nécessaires, il me semble enfin avoir trouvé l’astuce...
- quitter Firefox
- mettre l'ordi en veille
- brancher le lecteur de CI
- introduire la CI dans le lecteur
- réveiller l'ordi
- lancer Firefox
- accéder à la déclaration
Le tour est joué.

This review is for a previous version of the add-on (1.0.21). 

Werkt perfect met Fedora 23 & Firefox 47 Rated 4 out of 5 stars

Nu werkt ie perfect!

This review is for a previous version of the add-on (1.0.18.1-signed.1-signed). 

Known issue

There was an API change in ff 47 which is the cause of this issue. We've submitted an updated add-on, but it's waiting for review currently before it can be signed by Mozilla; that should fix your problem.

Werkt NIET Firefox 47.0 Rated 1 out of 5 stars

Wil niet installeren op nieuw geïnstalleerde firefox, steeds melding dat installatie MISLUKT is.

This review is for a previous version of the add-on (1.0.18.1-signed.1-signed). 

Er is een issue met Firefox 47 waardoor er een gele infobalk verschijnt die vraagt om de middleware te installeren, maar die mag je negeren.
Een fix voor onze addon is ingediend, maar wacht nog op beoordeling door Mozilla.

Dat de eID module is gëinstalleerd kan je ook manueel nagaan moest je dat wensen:
Opties->geavanceerd->Beveiligingsapparaten
In de lijst die nu verschijnt zou de Belgium eID pkcs11 module moeten staan

Rated 5 out of 5 stars

Werkt perfect!

This review is for a previous version of the add-on (1.0.18.1-signed.1-signed). 

Werkt perfect op Ubuntu Rated 5 out of 5 stars

Ik heb een klassieke acr38u kaartlezer, als je de instructies voor de middleware volgt vanop de website van de staat, je firefox start met de plugin geinstalleerd en de kaartlezer ingestoken, en natuurlijk de libacr38u driver hebt geinstalleerd, dan werkt alles eigenlijk volledig vanzelf.

This review is for a previous version of the add-on (1.0.18.1-signed.1-signed).